%global dlrn_nvr os-refresh-config-10.4.1.dev2-1.20201113193912.b5e8cc4
%global dlrn 1
%define upstream_version 10.4.1.dev2
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           os-refresh-config
Version: 10.4.1
Release: 1.20201113193912.b5e8cc4%{?dist}
Summary:        Refresh system configuration

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{name}
Source0: os-refresh-config-10.4.1.dev2-1.20201113193912.b5e8cc4.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=b5e8cc434404def00ec03ecfd59ea053ada4eab5

BuildArch:      noarch

BuildRequires:  git

Requires:       dib-utils

BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr

Requires:       python%{pyver}-psutil

%description
Tool to refresh openstack config changes to service.

%prep

%autosetup -n %{name}-%{upstream_version} -S git

%build
%{pyver_build}

%install
%{pyver_install}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/pre-configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/migration.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/post-configure.d

# remove tests
rm -fr %{buildroot}%{pyver_sitelib}/os_refresh_config/tests

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-refresh-config
%{_libexecdir}/%{name}
%{pyver_sitelib}/os_refresh_config*

%changelog
* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url

